#ifndef _CUELIST_H
#define _CUELIST_H

#include <qobject.h>

#include "cue.h"


class CueController : public QObject
{
 public:
  CueList( QObject* parent = 0, const char* name = 0 );
  ~CueList();

  unsigned int getNumCues()
    {
      return _cues.count();
    }
  
 public slots:

  void nextCue();
  void nextNonFollowCue();
  
  void setLive(bool l);
  

 private:
  Cue* _nextCue;
  QPtrList<Cue> _cues;
  
};



#endif //_CUELIST_H
