#ifndef _DMXENGINE_H
#define _DMXENGINE_H

#include <fstream>
#include <iostream>
using namespace std;

#include <qobject.h>
#include <qptrlist.h>

class DMXEngine
{

  public:
    DMXEngine( int argc, const char **argv );
    ~DMXEngine();

    bool isValid()
      {
	return _dmxout != -1;
      }


    void setLevel( unsigned int channel, int newLevel );
    void setNumChannels( unsigned int p_numChannels )
    {
        _numChannels = p_numChannels;
    }

    void effectLevelChange();

 private:
    unsigned int _numChannels; 
    int _dmxout;
    
    char* _levelsBuffer;
};

#endif

