
#ifndef _CUELISTITEM_H
#define _CUELISTITEM_H

#include <qlistview.h>
#include <qobject.h>

#include "cue.h"

class CueListItem : public QListViewItem
{

 public:
  
  CueListItem( Cue* cue, QListView* parent );
//  CueListItem( Cue* cue, CueListItem* parent );
  CueListItem( Cue* cue, QListView* parent, QListViewItem* after );
//  CueListItem( Cue* cue, QListViewItem* parent, QListViewItem* after );
  
  ~CueListItem();
  
  virtual void paintCell( QPainter *p, const QColorGroup &cg,
			  int column, int width, int alignment );

  Cue* getCue()  {return m_cue;}

 private:
  Cue* m_cue;
};


#endif
